// DetailBoardGeneralDlg.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "DetailBoardGeneralDlg.h"
#include "afxdialogex.h"


// CDetailBoardGeneralDlg _CAO

IMPLEMENT_DYNAMIC(CDetailBoardGeneralDlg, CDialog)

//CDetailBoardGeneralDlg::CDetailBoardGeneralDlg(CWnd* pParent /*=NULL*/)
//	: CDialog(CDetailBoardGeneralDlg::IDD, pParent)
//{
//
//}

CDetailBoardGeneralDlg::CDetailBoardGeneralDlg(sl::BoardConfig& board)
	: CDialog(CDetailBoardGeneralDlg::IDD, NULL)
	, board_(board)
{

}

CDetailBoardGeneralDlg::~CDetailBoardGeneralDlg()
{
}

void CDetailBoardGeneralDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_CHECK_CONTACT, m_xcCheckContact);
	DDX_Control(pDX, IDC_CHECK_CHANGE, m_xcCheckChange);
	DDX_Control(pDX, IDC_EDIT_SHITARABA, m_xcEditShitaraba);
}

void CDetailBoardGeneralDlg::InitControls()
{
	m_xcCheckContact.SetCheck(board_.contact ? BST_CHECKED : BST_UNCHECKED);
	m_xcCheckChange.SetCheck(board_.change ? BST_CHECKED : BST_UNCHECKED);
	m_xcEditShitaraba.SetWindowText(board_.shitaraba.c_str());
}


BEGIN_MESSAGE_MAP(CDetailBoardGeneralDlg, CDialog)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDC_BTN_ALL_DEFAULT, &CDetailBoardGeneralDlg::OnBnClickedBtnAllDefault)
END_MESSAGE_MAP()


// CDetailBoardGeneralDlg bZ[W nh[


BOOL CDetailBoardGeneralDlg::OnInitDialog()
{
	CDialog::OnInitDialog();

	InitControls();

	return TRUE;  // return TRUE unless you set the focus to a control
	// O : OCX vpeB y[W͕K FALSE Ԃ܂B
}


BOOL CDetailBoardGeneralDlg::PreTranslateMessage(MSG* pMsg)
{
	if (pMsg->message == WM_KEYDOWN)
	{
		if (pMsg->wParam == VK_RETURN || pMsg->wParam == VK_ESCAPE)
		{
			return FALSE;
		}
	}
	return CDialog::PreTranslateMessage(pMsg);
}


void CDetailBoardGeneralDlg::OnDestroy()
{
	CDialog::OnDestroy();

	board_.contact = m_xcCheckContact.GetCheck() == BST_CHECKED;
	board_.change = m_xcCheckChange.GetCheck() == BST_CHECKED;

	// shitaraba
	CString shitaraba;
	m_xcEditShitaraba.GetWindowText(shitaraba);
	board_.shitaraba = std::wstring(shitaraba);
}


void CDetailBoardGeneralDlg::OnBnClickedBtnAllDefault()
{
	auto tmp = sl::BoardConfig();
	board_.contact = tmp.contact;
	board_.change = tmp.change;
	board_.shitaraba = tmp.shitaraba;

	InitControls();
}
