#pragma once

#include "ResSampleView.h"
#include "ColorButton.h"
#include "FontButton.h"
#include "afxwin.h"
#include "afxcmn.h"

// CDisplayResFormatDlg _CAO

class CDisplayResFormatDlg : public CDialog
{
	DECLARE_DYNAMIC(CDisplayResFormatDlg)

public:
	//CDisplayResFormatDlg(CWnd* pParent = NULL);   // WRXgN^[
	CDisplayResFormatDlg(sl::ResConfig& res, CResSampleView& sample);
	virtual ~CDisplayResFormatDlg();

	void InitControls();

// _CAO f[^
	enum { IDD = IDD_DISPLAY_RES_FORMAT };

	sl::ResConfig& res_;
	CResSampleView& m_xcSample;

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV T|[g

	DECLARE_MESSAGE_MAP()
public:
	virtual BOOL OnInitDialog();
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	afx_msg void OnDestroy();
	afx_msg void OnCbnSelchangeCmbFormat();
	afx_msg void OnBnClickedBtnFont();
	afx_msg void OnEnChangeEditSpace();
	afx_msg void OnEnChangeEditWidth();
	afx_msg void OnCbnSelchangeCmbPunct();
	afx_msg void OnBnClickedCheckSecond();


	CComboBox m_xcCmbFormat;
	CFontButton m_xcBtnFont;
	CSpinButtonCtrl m_xcSpinSpace;
	CSpinButtonCtrl m_xcSpinWidth;
	CComboBox m_xcCmbPunct;
	CButton m_xcCheckSecond;
};
