// IMEEdit.cpp : t@C
//

#include "stdafx.h"
#include "PCRPlayer.h"
#include "IMEEdit.h"


// CIMEEdit

IMPLEMENT_DYNAMIC(CIMEEdit, CEdit)

CIMEEdit::CIMEEdit()
{

}

CIMEEdit::~CIMEEdit()
{
}


BEGIN_MESSAGE_MAP(CIMEEdit, CEdit)
	ON_CONTROL_REFLECT(EN_SETFOCUS, &CIMEEdit::OnEnSetfocus)
	ON_CONTROL_REFLECT(EN_KILLFOCUS, &CIMEEdit::OnEnKillfocus)
END_MESSAGE_MAP()



// CIMEEdit bZ[W nh[




void CIMEEdit::OnEnSetfocus()
{
	HWND hwnd = GetSafeHwnd();
	HIMC himc = ImmGetContext(hwnd);

	ImmSetOpenStatus(himc, value_.state);
	ImmReleaseContext(hwnd, himc);
}


void CIMEEdit::OnEnKillfocus()
{
	HWND hwnd = GetSafeHwnd();
	HIMC himc = ImmGetContext(hwnd);

	value_.state = ImmGetOpenStatus(himc);
	ImmSetOpenStatus(himc, FALSE);
	ImmReleaseContext(hwnd, himc);
}

void CIMEEdit::confirm()
{
	HWND hwnd = GetSafeHwnd();
	HIMC himc = ImmGetContext(hwnd);

	BOOL state = ImmGetOpenStatus(himc);
	ImmSetOpenStatus(himc, state ? FALSE : TRUE);
	ImmSetOpenStatus(himc, state);
	ImmReleaseContext(hwnd, himc);
}